<?php

namespace AppBundle\Repository\Project;

use AppBundle\Entity\Project\Contribution;

/**
 * ContributionRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class ContributionRepository extends \Doctrine\ORM\EntityRepository
{
    public function queryContributions()
    {
        $qb = $this->createQueryBuilder('c');
        $qb->leftJoin('c.responses', 'r');

        $qb->orderBy('c.updatedAt', 'DESC')
                ->where("r.content != ''");

        return $qb;
    }
}
